This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 639636 - Review Request: rubygem-poppler - Ruby binding of poppler-glib
Review Request: rubygem-poppler - Ruby binding of poppler-glib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 635302 637448 637939 639098
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-02 16:03 EDT by Mamoru TASAKA
Modified: 2010-11-22 16:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 16:03:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mgoldman: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Failed build log on koji (33.99 KB, application/octet-stream)
2010-11-20 15:10 EST, Marek Goldmann
no flags Details

  None (edit)
Description Mamoru TASAKA 2010-10-02 16:03:20 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-poppler/rubygem-poppler.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-poppler/rubygem-poppler-0.90.2.2-1.fc.src.rpm
Description: 
Ruby/Poppler is a Ruby binding of poppler-glib.

This package depends on other packages currently in review request queue,
so currently no scratch build on koji is available.
mockbuild log for F-14 is available at:
http://mtasaka.fedorapeople.org/Review_request/rubygem-poppler/MOCK-rubygem-poppler.log
Comment 3 Mamoru TASAKA 2010-10-31 14:55:43 EDT
http://mtasaka.fedorapeople.org/Review_request/rubygem-poppler/rubygem-poppler.spec
http://mtasaka.fedorapeople.org/Review_request/rubygem-poppler/rubygem-poppler-0.90.5-2.fc.src.rpm

* Sun Oct 31 2010 Mamoru Taska  <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.90.5-2
- 0.90.5
- Move C extension so that "require %%gemname" works correctly
Comment 4 Marek Goldmann 2010-11-20 15:10:27 EST
Created attachment 461760 [details]
Failed build log on koji

Mamoru, some notes below.

Build failures:

* Build fails for many tests for rawhide. Test are failing with "SocketError: getaddrinfo: Name or service not known". It looks like there is no Internet access on koji while building the package. Log attached. Maybe upstream should attach the pdf to test/ dir to omit loading it from the Internet (poppler-test-utils.rb, line 25)?

General:

* You use tabs and spaces in the spec file.

Requires:

* BR: rubygems is not required (it is a dependency of other rubygem-* packages)
* (Not sure about this) I think BR: ruby is required, because of:

Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target i686 --nodeps builddir/build/SPECS/rubygem-poppler.spec']
sh: ruby: command not found

See attached log for more info.

This is everything for now. Hope this helps you a it as this is my first take on reviewing.
Comment 5 Mamoru TASAKA 2010-11-20 17:51:07 EST
http://mtasaka.fedorapeople.org/Review_request/rubygem-poppler/rubygem-poppler.spec
http://mtasaka.fedorapeople.org/Review_request/rubygem-poppler/rubygem-poppler-0.90.5-3.fc.src.rpm
koji build for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2613504

* Sun Nov 21 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.90.5-3
- Omit tests failing without net
- Remove miscs no longer needed on Fedora (%%clean section, etc)


Thank you for comments.
(In reply to comment #4)
> Build failures:
- Fixed

> * You use tabs and spaces in the spec file.
- Fixed

> Requires:
> * BR: rubygems is not required (it is a dependency of other rubygem-* packages)
- Removed

> * (Not sure about this) I think BR: ruby is required, because of:
> 
> Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target i686
> --nodeps builddir/build/SPECS/rubygem-poppler.spec']
> sh: ruby: command not found
- This message is coming due to other reason. With koji (mock), when srpm is
  recreated using "rpmbuild -bs", only packages used for minimal 
  buildroot are installed there (so even if BR: ruby is written
  this message appears)
  Later, packages needed to rebuild the created srpm are investigated
  and they are installed - and this is actually what you are seeing in
  root.log.
Comment 6 Marek Goldmann 2010-11-21 05:56:10 EST
Looks good for me, but I'm not an expert.

I installed it and used pdf2text.rb example located here: http://ruby-gnome2.cvs.sourceforge.net/viewvc/ruby-gnome2/ruby-gnome2/poppler/sample/pdf2text.rb?view=markup – works!
Comment 7 Mamoru TASAKA 2010-11-21 14:24:10 EST
If this package seems good for you, I would appreciate it if
you would assign this bug to yourself and approve this review
request. We need more and more reviewers and trying reviewing
tickets is highly appreciated.
Comment 8 Marek Goldmann 2010-11-21 14:35:04 EST
OK.

------------------------------------------------------------
   This package (rubygem-poppler) is APPROVED by goldmann
------------------------------------------------------------
Comment 9 Mamoru TASAKA 2010-11-21 14:44:49 EST
Thank you!

New Package SCM Request
=======================
Package Name:      rubygem-poppler
Short Description: Ruby binding of poppler-glib
Owners:            mtasaka
Branches:          f13 f14
Comment 10 Jason Tibbitts 2010-11-22 08:55:13 EST
Git done (by process-git-requests).
Comment 11 Mamoru TASAKA 2010-11-22 16:03:20 EST
Built for F-15/14/13 successfully, and for F-14/13 submitted push
requests on bodhi. Now closing.

Thank you for reviewing this ticket and git procedure.

Note You need to log in before you can comment on or make changes to this bug.